﻿///////////////////////////////////////////////////////////////////////
// Name: Program.cs
// Author: B. Gian James <gian@BattleDroids.net>
// Description: The program that starts it all.
//
// $Id: Program.cs,v 1.1.1.1.2.1 2009/08/30 17:55:17 gian Exp $
///////////////////////////////////////////////////////////////////////
using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace AVR_Terminal
{
    static class Program
    {
        static public MainForm mainForm;

        static public BaudRate [] baudRates = 
        {
            new BaudRate(1200,"1200"),
            new BaudRate(4800,"4800"),
            new BaudRate(9600,"9600"),
            new BaudRate(14400,"14400"),
			new BaudRate(19200,"19200"),
            new BaudRate(28800, "28800"),
			new BaudRate(38400,"38400"),
            new BaudRate(57600, "57600"),
            new BaudRate(115200,"115200")
        };

        static public Handshake[] flowControls = 
        {
            new Handshake(System.IO.Ports.Handshake.None, "None"),
            new Handshake(System.IO.Ports.Handshake.RequestToSendXOnXOff, "RTS/XonXoff"),
            new Handshake(System.IO.Ports.Handshake.RequestToSend, "RTS/Hardware"),
            new Handshake(System.IO.Ports.Handshake.XOnXOff, "XonXoff/Software")
        };


        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            mainForm = new MainForm();
            Application.Run(mainForm);
        }
    }
}
